#![feature(round_char_boundary)]
#![feature(exit_status_error)]
#![feature(trait_alias)]

#[cfg(feature = "compare")]
mod compare;
#[cfg(feature = "compare")]
pub use compare::compare_document;
#[cfg(feature = "compare")]
pub use compare::emacs_parse_anonymous_org_document;
#[cfg(feature = "compare")]
pub use compare::emacs_parse_file_org_document;
#[cfg(feature = "compare")]
pub use compare::get_emacs_version;
#[cfg(feature = "compare")]
pub use compare::get_org_mode_version;

mod context;
mod error;
pub mod parser;
pub mod types;

pub use context::GlobalSettings;
pub use context::LocalFileAccessInterface;
